import { html, ref, repeat, when } from '@microsoft/fast-element';
import { getPrefix } from '../utils';
export const getPrefixedSnackbar = (prefix) => html `
  <div
    role="alert"
    aria-live="polite"
    part="snackbar"
    class="snackbar ${(x) => x.deleteAnimation}"
    ${ref('snackbar')}
  >
    <div part="content" class="content">
      <slot name="content">
        ${(x) => { var _a, _b; return ((_a = x.error) === null || _a === void 0 ? void 0 : _a.errorDetails) || ((_b = x.notification) === null || _b === void 0 ? void 0 : _b.body) || 'Place holder for error message'; }}
      </slot>
    </div>
    ${when((x) => {
    var _a, _b, _c, _d, _e, _f, _g, _h;
    return ((_d = (_c = (_b = (_a = x.error) === null || _a === void 0 ? void 0 : _a.config) === null || _b === void 0 ? void 0 : _b.snackbar) === null || _c === void 0 ? void 0 : _c.confirmingActions) === null || _d === void 0 ? void 0 : _d.length) ||
        ((_h = (_g = (_f = (_e = x.notification) === null || _e === void 0 ? void 0 : _e.config) === null || _f === void 0 ? void 0 : _f.snackbar) === null || _g === void 0 ? void 0 : _g.confirmingActions) === null || _h === void 0 ? void 0 : _h.length);
}, html `
        <div part="action" class="action">
          <slot name="action">
            ${repeat((x) => {
    var _a, _b, _c, _d, _e, _f;
    return ((_c = (_b = (_a = x.error) === null || _a === void 0 ? void 0 : _a.config) === null || _b === void 0 ? void 0 : _b.snackbar) === null || _c === void 0 ? void 0 : _c.confirmingActions) ||
        ((_f = (_e = (_d = x.notification) === null || _d === void 0 ? void 0 : _d.config) === null || _e === void 0 ? void 0 : _e.snackbar) === null || _f === void 0 ? void 0 : _f.confirmingActions);
}, html `
            <${prefix}-button
              slot="action"
              appearance="lightweight"
              @click=${(x, c) => {
    var _a;
    x === null || x === void 0 ? void 0 : x.action();
    (_a = c.parent) === null || _a === void 0 ? void 0 : _a.dismiss();
}}
            >
              ${(x) => x.label}
            </${prefix}-button>
          `)}
          </slot>
        </div>
      `)}
  </div>
`;
export const foundationSnackbarTemplate = html `
  ${(x) => getPrefixedSnackbar(getPrefix(x))}
`;
